> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar currículo completo

> Retorna o currículo completo de um usuário



## OpenAPI

````yaml https://raw.githubusercontent.com/prefeitura-rio/app-go-api/refs/heads/main/docs/openapi-v3.json get /api/v1/empregabilidade/curriculo/{cpf}
openapi: 3.0.0
info:
  description: API de serviços para aplicativos da Prefeitura do Rio
  title: API Go
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Support
    url: https://iplan.rio
    email: frederico.zolio@prefeitura.rio
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://services.pref.rio/go
    description: Production
  - url: https://services.staging.app.dados.rio/go
    description: Staging
security:
  - BearerAuth: []
paths:
  /api/v1/empregabilidade/curriculo/{cpf}:
    get:
      tags:
        - empregabilidade-curriculo
      summary: Buscar currículo completo
      description: Retorna o currículo completo de um usuário
      parameters:
        - description: CPF do usuário
          name: cpf
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/empregabilidade.CurriculoCompleto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: string
      security:
        - bearerAuth: []
components:
  schemas:
    empregabilidade.CurriculoCompleto:
      type: object
      properties:
        conquistas:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.CurriculoConquista'
        cursos_complementares:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.CurriculoCursoComplementar'
        experiencias:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.CurriculoExperiencia'
        formacoes:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.CurriculoFormacao'
        idiomas:
          type: array
          items:
            $ref: '#/components/schemas/empregabilidade.CurriculoIdioma'
        situacao_interesses:
          $ref: '#/components/schemas/empregabilidade.CurriculoSituacaoInteresses'
    empregabilidade.CurriculoConquista:
      type: object
      properties:
        cpf:
          type: string
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        id_tipo_conquista:
          type: string
        tipo_conquista:
          description: Relationships
          allOf:
            - $ref: '#/components/schemas/empregabilidade.TipoConquista'
        titulo:
          type: string
        updated_at:
          type: string
    empregabilidade.CurriculoCursoComplementar:
      type: object
      properties:
        ano_conclusao:
          type: string
        cpf:
          type: string
        created_at:
          type: string
        id:
          type: string
        nome_curso:
          type: string
        nome_instituicao:
          type: string
        updated_at:
          type: string
    empregabilidade.CurriculoExperiencia:
      type: object
      properties:
        cargo:
          type: string
        cpf:
          type: string
        created_at:
          type: string
        descricao_atividades:
          type: string
        eh_trabalho_atual:
          type: boolean
        empresa:
          type: string
        experiencia_comprovada_ct:
          type: boolean
        id:
          type: string
        tempo_experiencia_meses:
          type: integer
        updated_at:
          type: string
    empregabilidade.CurriculoFormacao:
      type: object
      properties:
        ano_conclusao:
          type: string
        cpf:
          type: string
        created_at:
          type: string
        escolaridade:
          description: Relationships
          allOf:
            - $ref: '#/components/schemas/empregabilidade.Escolaridade'
        id:
          type: string
        id_escolaridade:
          type: string
        nome_curso:
          type: string
        nome_instituicao:
          type: string
        status:
          $ref: '#/components/schemas/empregabilidade.StatusFormacao'
        updated_at:
          type: string
    empregabilidade.CurriculoIdioma:
      type: object
      properties:
        cpf:
          type: string
        created_at:
          type: string
        id:
          type: string
        id_idioma:
          type: string
        id_nivel:
          type: string
        idioma:
          description: Relationships
          allOf:
            - $ref: '#/components/schemas/empregabilidade.Idioma'
        nivel:
          $ref: '#/components/schemas/empregabilidade.NivelIdioma'
        updated_at:
          type: string
    empregabilidade.CurriculoSituacaoInteresses:
      type: object
      properties:
        cpf:
          type: string
        created_at:
          type: string
        disponibilidade:
          $ref: '#/components/schemas/empregabilidade.Disponibilidade'
        id_disponibilidade:
          type: string
        id_situacao:
          type: string
        ids_tipos_vinculo_preferencia:
          type: array
          items:
            type: string
        situacao:
          description: Relationships
          allOf:
            - $ref: '#/components/schemas/empregabilidade.SituacaoAtual'
        tempo_procurando_emprego:
          type: string
        updated_at:
          type: string
    empregabilidade.TipoConquista:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    empregabilidade.Escolaridade:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    empregabilidade.StatusFormacao:
      type: string
      enum:
        - Completo
        - Em andamento
        - Incompleto
      x-enum-varnames:
        - StatusFormacaoCompleto
        - StatusFormacaoEmAndamento
        - StatusFormacaoIncompleto
    empregabilidade.Idioma:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    empregabilidade.NivelIdioma:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    empregabilidade.Disponibilidade:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
    empregabilidade.SituacaoAtual:
      type: object
      properties:
        created_at:
          type: string
        descricao:
          type: string
        id:
          type: string
        updated_at:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````